Skip to content

Import guardrails.​

POST
/backend/v1/scanners/import

Import guardrails and guardrail packages from a zip file.

Authorizations​

HTTPBearer
Type
HTTP (bearer)

Request Body​

multipart/form-data
object
Format"binary"
string[]
Required

Responses​

Successful Response

application/json
JSON
{
  
"errors": [
  
  
{
  
  
  
"details": {
  
  
  
  
"additionalProperties": "string"
  
  
  
},
  
  
  
"message": "string",
  
  
  
"path": "string"
  
  
}
  
],
  
"packageIds": [
  
  
[
  
  
]
  
],
  
"scannerIds": [
  
  
[
  
  
]
  
],
  
"scannerTemplateIds": [
  
  
[
  
  
]
  
]
}

Playground​

Server
Authorization
Body

Samples​

Powered by VitePress OpenAPI